<#import "template.ftl" as layout>
<@layout.mainLayout active='password' bodyClass='password'; section>

    <div class="row">
        <div class="col-md-10">
            <h2>${msg("changePasswordHtmlTitle")}</h2>
        </div>
        <div class="col-md-2 subtitle">
            <span class="subtitle">${msg("allFieldsRequired")}</span>
        </div>
    </div>

    <form action="${url.passwordUrl}" class="ps-container" method="post">
        <input
          type="text"
          id="username"
          class="ps-input"
          name="username"
          value="${(account.username!'')}"
          autocomplete="username"
          readonly="readonly"
          style="display:none;"
        >

        <#if password.passwordSet>
            <div class="ps-form-group">
                <label for="password" class="ps-form-group--label">${msg("password")}</label>

                <input
                  type="password"
                  class="ps-input"
                  id="password"
                  name="password"
                  autofocus
                  autocomplete="current-password"
                />
            </div>
        </#if>

        <input type="hidden" id="stateChecker" name="stateChecker" value="${stateChecker}">

        <div class="ps-form-group">
            <label for="password-new" class="ps-form-group--label">${msg("passwordNew")}</label>

            <input
              type="password"
              class="ps-input"
              id="password-new"
              name="password-new"
              autocomplete="new-password"
            />
        </div>

        <div class="ps-form-group">
            <label for="password-confirm" class="ps-form-group--label">${msg("passwordConfirm")}</label>

            <input
              type="password"
              class="ps-input"
              id="password-confirm"
              name="password-confirm"
              autocomplete="new-password"
            />
        </div>

        <div class="ps-form-group">
            <div id="kc-form-buttons" class="col-md-offset-2 col-md-10 submit">
                <div class="">
                    <button type="submit" class="${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonLargeClass!}" name="submitAction" value="Save">${msg("doSave")}</button>
                </div>
            </div>
        </div>
    </form>

</@layout.mainLayout>
