{ pkgs, ... }:
pkgs.stdenv.mkDerivation {
  pname = "keycloak-theme-pub-solar";
  version = "0.0.0";
  src = pkgs.lib.cleanSource ../.;

  installPhase = ''
    ${pkgs.sassc}/bin/sassc "./common/resources/scss/index.scss" > "./common/resources/css/index.css"

    mkdir $out
    cp -r account $out/
    cp -r login $out/
    cp -r admin $out/
    cp -r common $out/
    cp -r welcome $out/
    cp -r email $out/
  '';
}
